Deformer Class Reference

Objects of this class encapsulate the process of applying a generic deformation to a monomial ideal. More...

`#include <Deformer.h>`

## Public Member Functions

| Deformer (Ideal &ideal, const IdealOrderer &deformationOrder, bool makeStronglyGeneric=true)
| Apply a generic deformation to ideal such that it becomes generic.
void | undeform (Term &term) const
| Apply the reverse transformation on term than that applied to the Ideal passed to the constructor.

## Private Attributes

vector< vector< Exponent > > | _undeform
| var^e undeforms to var^(_undeform[var][e]).

## Detailed Description

Objects of this class encapsulate the process of applying a generic deformation to a monomial ideal.

Definition at line 31 of file Deformer.h.

## Constructor & Destructor Documentation

## Deformer()

Deformer::Deformer | ( | Ideal & | ideal,
|  | const IdealOrderer & | deformationOrder,
|  | bool | makeStronglyGeneric = true )

Apply a generic deformation to ideal such that it becomes generic.

Parameters

  deformationOrder | The ordering to decide how to deform like exponents.
  makeStronglyGeneric | Deform to a strongly generic ideal if true. Otherwise deform to a weakly generic ideal.

Todo
  Implement makeStronglyGeneric == false.

Definition at line 85 of file Deformer.cpp.

## Member Function Documentation

## undeform()

void Deformer::undeform | ( | Term & | term | ) | const

Apply the reverse transformation on term than that applied to the Ideal passed to the constructor.

Definition at line 99 of file Deformer.cpp.

## Member Data Documentation

## _undeform

vector<vector<Exponent> > Deformer::_undeform

private

var^e undeforms to var^(_undeform[var][e]).

Definition at line 53 of file Deformer.h.

The documentation for this class was generated from the following files:

- src/Deformer.h
- src/Deformer.cpp